> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /avvo/lawyers/search

> Search Avvo attorneys by practice area within a US state (optionally narrowed to a city), ordered by best match, best/most reviewed or years licensed. Returns each attorney's name, headshot, Avvo Rating, client review star average and count, firm and office address, phone, years licensed, practice areas, education and profile tagline.

**Price:** 20 credits per 20 results



## OpenAPI

````yaml /openapi/legal.json post /api/avvo/lawyers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/avvo/lawyers/search:
    post:
      tags:
        - /avvo
      summary: /avvo/lawyers/search
      description: >-
        Search Avvo attorneys by practice area within a US state (optionally
        narrowed to a city), ordered by best match, best/most reviewed or years
        licensed. Returns each attorney's name, headshot, Avvo Rating, client
        review star average and count, firm and office address, phone, years
        licensed, practice areas, education and profile tagline.


        **Price:** 20 credits per 20 results
      operationId: __api_avvo_lawyers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AvvoLawyersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AvvoLawyerSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AvvoLawyersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        practice_area:
          $ref: '#/components/schemas/AvvoPracticeArea'
        state:
          $ref: '#/components/schemas/AvvoState'
        city:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/AvvoLawyerSort'
          default: best_match
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - practice_area
        - state
        - count
    AvvoLawyerSearchResult:
      properties:
        '@type':
          type: string
          default: AvvoLawyerSearchResult
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        avvo_rating:
          anyOf:
            - type: number
            - type: 'null'
        firm:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        years_licensed:
          anyOf:
            - type: integer
            - type: 'null'
        practice_areas:
          items:
            type: string
          type: array
          default: []
        education:
          items:
            type: string
          type: array
          default: []
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        is_pro:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AvvoPracticeArea:
      type: string
      enum:
        - administrative-law
        - admiralty-maritime
        - adoption
        - agriculture
        - alimony
        - antitrust-trade-law
        - appeals
        - aviation
        - banking
        - bankruptcy-debt
        - business
        - car-accidents
        - chapter-11-bankruptcy
        - chapter-13-bankruptcy
        - chapter-7-bankruptcy
        - child-abuse
        - child-custody
        - child-support
        - civil-rights
        - communications-media
        - computer-fraud
        - constitutional
        - consumer-protection
        - contracts-agreements
        - copyright-application
        - copyright-infringement
        - corporate-incorporation
        - credit-card-fraud
        - credit-repair
        - criminal-defense
        - debt-collection
        - debt-lending-agreements
        - debt-settlement
        - discrimination
        - divorce-separation
        - domestic-violence
        - dui-dwi
        - education
        - elder-law
        - election-campaigns-political-law
        - employee-benefits
        - employment-labor
        - estate-planning
        - family
        - federal-crime
        - federal-regulation
        - foreclosure
        - general-practice
        - government
        - guardianship
        - identity-theft
        - immigration
        - insurance-fraud
        - intellectual-property
        - juvenile
        - landlord-tenant
        - lawsuits-disputes
        - lemon-law
        - litigation
        - marriage-prenuptials
        - medical-malpractice
        - military-law
        - native-peoples-law
        - patent-application
        - patent-infringement
        - personal-injury
        - power-of-attorney
        - privacy
        - probate
        - real-estate
        - residential
        - securities-investment-fraud
        - sex-crime
        - sexual-harassment
        - social-security
        - speeding-traffic-ticket
        - state-local-and-municipal-law
        - tax
        - tax-fraud-tax-evasion
        - trusts
        - uncontested-divorce
        - violent-crime
        - white-collar-crime
        - wills-living-wills
        - workers-compensation
        - wrongful-death
        - wrongful-termination
    AvvoState:
      type: string
      enum:
        - al
        - ak
        - az
        - ar
        - ca
        - co
        - ct
        - de
        - dc
        - fl
        - ga
        - hi
        - id
        - il
        - in
        - ia
        - ks
        - ky
        - la
        - me
        - md
        - ma
        - mi
        - mn
        - ms
        - mo
        - mt
        - ne
        - nv
        - nh
        - nj
        - nm
        - ny
        - nc
        - nd
        - oh
        - ok
        - or
        - pa
        - ri
        - sc
        - sd
        - tn
        - tx
        - ut
        - vt
        - va
        - wa
        - wv
        - wi
        - wy
    AvvoLawyerSort:
      type: string
      enum:
        - best_match
        - client_rating
        - most_reviewed
        - most_experience
        - least_experience
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````